Bug 1451386 (CVE-2017-9059) - CVE-2017-9059 kernel: Module reference leak due to improper shut down of callback channel on umount
Summary: CVE-2017-9059 kernel: Module reference leak due to improper shut down of call...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-9059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170426,repor...
Depends On: 1451996
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-16 14:30 UTC by Adam Mariš
Modified: 2019-06-08 22:00 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:12:45 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-05-16 14:30:11 UTC
A leakage of module reference and kernel daemon in NFSv4 when NFSv4 mounts are made and then all outstanding NFSv4 mounts are removed. Local attackers with permission to mount NFS filesystems can potentially cause DoS by running the system out of resources.

Fixed by following patches:

https://www.spinics.net/lists/linux-nfs/msg63334.html

which were merged into mainline in following commit:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c70422f760c120480fee4de6c38804c72aa26bc1

Comment 1 Adam Mariš 2017-05-18 06:33:11 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1451996]


Note You need to log in before you can comment on or make changes to this bug.